# Interface ILevelsOptions

#### Hierarchy

- ILevelsOptions

- Defined in file/numbering/level.ts:201

#####
Index

### Properties

alignment?
format?
isLegalNumberingStyle?
level
start?
style?
suffix?
text?

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

- Defined in file/numbering/level.ts:205

### `Optional` `Readonly` format

format?: LevelFormat

- Defined in file/numbering/level.ts:203

### `Optional` `Readonly` isLegalNumberingStyle

isLegalNumberingStyle?: boolean

- Defined in file/numbering/level.ts:208

### `Readonly` level

level: number

- Defined in file/numbering/level.ts:202

### `Optional` `Readonly` start

start?: number

- Defined in file/numbering/level.ts:206

### `Optional` `Readonly` style

style?: {
paragraph?: ILevelParagraphStylePropertiesOptions;
run?: IRunStylePropertiesOptions;
}

#### Type declaration

- ##### `Optional` `Readonly` paragraph?: ILevelParagraphStylePropertiesOptions

- ##### `Optional` `Readonly` run?: IRunStylePropertiesOptions

- Defined in file/numbering/level.ts:209

### `Optional` `Readonly` suffix

suffix?: LevelSuffix

- Defined in file/numbering/level.ts:207

### `Optional` `Readonly` text

text?: string

- Defined in file/numbering/level.ts:204

Generated using TypeDoc